##timer

scoreboard players add starting_timer general 1

##gamemode

execute if score starting_timer general matches 25..365 run gamemode spectator @a[tag=starting]

##title settings

execute if score starting_timer general matches 100 run title @a[tag=starting] times 0 20 10

execute if score starting_timer general matches 100..220 run title @a[tag=starting] title {"text":" "}



##dynamic camera

execute if score starting_timer general matches 25 run summon minecraft:area_effect_cloud -7 28 -12.75 {Duration:9999,Tags:[camera],Rotation:[164f,7f]}

execute if score starting_timer general matches 26..430 run gamemode spectator @a[tag=starting]
execute if score starting_timer general matches 26..430 run tp @a[tag=starting] @e[tag=camera,limit=1]

execute if score starting_timer general matches 26..395 run execute as @e[tag=camera] at @s run tp @s ^ ^ ^0.05 facing -12 26 -31


##particles

execute if score starting_timer general matches 1..420 run particle minecraft:cloud -9 26.25 -24 0 0 0 0.05 4 force

execute if score starting_timer general matches 1..420 positioned -8.00 26.89 -23.10 run playsound minecraft:block.fire.extinguish master @a[distance=..5] ~ ~ ~ 0.025 2 0.005



##TheMalas presents

execute if score starting_timer general matches 100 run title @a[tag=starting] subtitle [{"text":"T","color":"gray"}]
execute if score starting_timer general matches 100 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 105 run title @a[tag=starting] subtitle [{"text":"Th","color":"gray"}]
execute if score starting_timer general matches 105 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 110 run title @a[tag=starting] subtitle [{"text":"The","color":"gray"}]
execute if score starting_timer general matches 110 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 115 run title @a[tag=starting] subtitle [{"text":"TheM","color":"gray"}]
execute if score starting_timer general matches 115 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 120 run title @a[tag=starting] subtitle [{"text":"TheMa","color":"gray"}]
execute if score starting_timer general matches 120 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 125 run title @a[tag=starting] subtitle [{"text":"TheMal","color":"gray"}]
execute if score starting_timer general matches 125 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 130 run title @a[tag=starting] subtitle [{"text":"TheMala","color":"gray"}]
execute if score starting_timer general matches 130 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 135 run title @a[tag=starting] subtitle [{"text":"TheMalas","color":"gray"}]
execute if score starting_timer general matches 135 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 140 run title @a[tag=starting] subtitle [{"text":"TheMalas p","color":"gray"}]
execute if score starting_timer general matches 140 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 145 run title @a[tag=starting] subtitle [{"text":"TheMalas pr","color":"gray"}]
execute if score starting_timer general matches 145 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 150 run title @a[tag=starting] subtitle [{"text":"TheMalas pre","color":"gray"}]
execute if score starting_timer general matches 150 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 155 run title @a[tag=starting] subtitle [{"text":"TheMalas pres","color":"gray"}]
execute if score starting_timer general matches 155 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 160 run title @a[tag=starting] subtitle [{"text":"TheMalas prese","color":"gray"}]
execute if score starting_timer general matches 160 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 165 run title @a[tag=starting] subtitle [{"text":"TheMalas presen","color":"gray"}]
execute if score starting_timer general matches 165 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 170 run title @a[tag=starting] subtitle [{"text":"TheMalas present","color":"gray"}]
execute if score starting_timer general matches 170 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 175 run title @a[tag=starting] subtitle [{"text":"TheMalas presents","color":"gray"}]
execute if score starting_timer general matches 175 run function datapack:functions/lobby/settags/clicksound2

execute if score starting_timer general matches 100..175 run title @a[tag=starting] actionbar [{"text":"\uE005","color":"gray"}]



##Map Title

execute if score starting_timer general matches 220 run title @a[tag=starting] times 20 60 20
execute if score starting_timer general matches 220 run title @a[tag=starting] subtitle [{"text":"Dangerous Engineering","color":"gold","underlined":"true"}]



##open the door of the elevator

execute if score starting_timer general matches 280 positioned -12 26 -31 run kill @e[tag=elevator]
execute if score starting_timer general matches 280 positioned -12 26 -31 run function datapack:functions/levels/elevator/spawn
execute if score starting_timer general matches 280 positioned -12 26 -31 run tag @e[tag=door,tag=!unlockble] add unlocked

execute if score starting_timer general matches 280 positioned -12 26 -29 run execute as @e[distance=..1,tag=door,tag=marker,tag=unlocked,tag=!opened,tag=NS] at @s run function datapack:functions/levels/doors/spawn/ns



##close the door

execute if score starting_timer general matches 430 positioned -12 28 -29 run execute as @e[distance=..7,tag=door,tag=animation] at @s run scoreboard players set @s timer 12



##transition

execute if score starting_timer general matches 390 run title @a times 30 20 20
execute if score starting_timer general matches 390 run title @a title {"text":"\uE002"}



execute if score starting_timer general matches 430 run gamemode adventure @a[tag=starting]
execute if score starting_timer general matches 430 run tp @a[tag=starting] -12 26 -31 0 0
execute if score starting_timer general matches 430 run execute as @a at @s run function datapack:functions/sound-engine/start/ambient
execute if score starting_timer general matches 430 run execute as @a at @s run function datapack:functions/sound-engine/stop/music1
execute if score starting_timer general matches 430 run execute as @a at @s run function datapack:functions/sound-engine/start/music2



execute if score starting_timer general matches 450 run kill @e[tag=camera]
execute if score starting_timer general matches 470 run tag @a remove starting
execute if score starting_timer general matches 470 run tag @e[tag=elevator] add on
execute if score starting_timer general matches 470 run bossbar set minecraft:newarea players @a
execute if score starting_timer general matches 470 run bossbar set minecraft:newarea name [{"text":"Current area: ","color":"gray"},{"text":"Elevator","color":"gold"},{"translate":"space.520"}]
execute if score starting_timer general matches 470 run scoreboard players set level general 1
execute if score starting_timer general matches 470 run tag @e[tag=door,tag=!unlockble] add unlocked
