##gas room

execute if entity @a[x=-29,y=10,z=-108,distance=..2] if block -29 10 -106 air unless block -29 0 -153 redstone_block run function datapack:functions/levels/levels/decontamination
execute if entity @a[x=-29,y=10,z=-108,distance=..2] if block -29 10 -110 air if block -29 0 -153 redstone_block run function datapack:functions/levels/levels/decontamination

#timer

execute if entity @a[tag=decontamination] run scoreboard players add decontamination-timer general 1

#particles

execute if score decontamination-timer general matches 20..100 run particle minecraft:cloud -29 10 -108 0.4 0.25 0.4 0.1 5 force
execute if score decontamination-timer general matches 20..100 run particle minecraft:cloud -29 12.5 -108 0.4 0.25 0.4 0.1 5 force
execute if score decontamination-timer general matches 20..100 run execute positioned -29 10 -108 run playsound minecraft:block.fire.extinguish master @a[distance=..7] ~ ~ ~ 0.5 2 0.25

#on

execute if score decontamination-timer general matches 120 run tag @a add lowgravity
execute if score decontamination-timer general matches 120 run tag @a[tag=decontamination2] remove lowgravity
execute if score decontamination-timer general matches 120 unless entity @a[tag=decontamination2] run execute positioned -29 10 -110 run function datapack:functions/levels/doors/spawn/ns
execute if score decontamination-timer general matches 120 if entity @a[tag=decontamination2] run execute positioned -29 10 -106 run function datapack:functions/levels/doors/spawn/ns

#reset

execute if score decontamination-timer general matches 120.. run function datapack:functions/levels/spawns/level3
execute if score decontamination-timer general matches 120.. run scoreboard players set decontamination-timer general 0 
execute if score decontamination-timer general matches 0 run tag @a remove decontamination
execute if score decontamination-timer general matches 0 run tag @a remove decontamination2



##platform1

execute if block -45 0 -142 minecraft:redstone_block if score platform3-timer general matches ..40 run scoreboard players add platform3-timer general 1
execute unless block -45 0 -142 minecraft:redstone_block if score platform3-timer general matches 1.. run scoreboard players remove platform3-timer general 1

execute if score platform3-timer general matches 1 run clone -31 2 -124 -29 7 -126 -46 18 -134
execute if score platform3-timer general matches 1 run execute positioned -46 18 -134 run playsound minecraft:block.piston.extend master @a[distance=..10] ~ ~ ~ 0.5 1 0.25

execute if score platform3-timer general matches 10 run clone -31 2 -124 -29 7 -126 -46 17 -134
execute if score platform3-timer general matches 10 run execute positioned -46 18 -134 run playsound minecraft:block.piston.extend master @a[distance=..10] ~ ~ ~ 0.5 1 0.25

execute if score platform3-timer general matches 19 run clone -31 2 -124 -29 7 -126 -46 16 -134
execute if score platform3-timer general matches 19 run execute positioned -46 18 -134 run playsound minecraft:block.piston.extend master @a[distance=..10] ~ ~ ~ 0.5 1 0.25





##puzzle 2 particles

execute if block -13 15 -134 air run particle minecraft:cloud -13 15.5 -134 0 0 0 0.1 2 force
execute if block -13 15 -128 air run particle minecraft:cloud -13 15.5 -128 0 0 0 0.1 2 force

##cube switch

execute as @e[tag=cube,tag=material,x=-3,y=11,z=-136,distance=..1] at @s run execute positioned -3 11 -129 run function datapack:functions/items/spawn/blocks/metal
execute as @e[tag=cube,tag=material,x=-3,y=11,z=-136,distance=..1] at @s run tp @s ~ ~-1000 ~
execute as @e[tag=cube,tag=material,x=-3,y=11,z=-136,distance=..1] at @s run kill @s


##puzzle 2 end

execute if block -13 15 -134 minecraft:iron_block if block -13 15 -128 minecraft:iron_block if block -13 0 -134 air run setblock -13 0 -134 redstone_block

##cutscene

execute if entity @e[tag=camera2,scores={timer=40}] run setblock -33 6 -83 minecraft:redstone_block
execute if entity @e[tag=camera2,scores={timer=80..85}] run title @a actionbar [{"text":"West Reactor","color":"green"},{"text":" has been UNLOCKED","color":"gold"}]
execute if entity @e[tag=camera2,scores={timer=110}] run execute as @a at @s run playsound minecraft:custom.welldone master @s ~ ~5 ~ 1.5 1.025 1

##nextlevel

execute if entity @a[x=-42,y=10,z=-83,distance=..6] run function datapack:functions/levels/spawns/level4
execute if entity @a[x=-42,y=10,z=-83,distance=..6] run scoreboard players set level general 4