##close the door when you pickup the protection armor

execute as @a[tag=!haslimitmode] at @s if entity @e[tag=protection-item,tag=item,distance=..1] run function datapack:functions/player/limit-mode/pickup

##close the door when you enter the landing platform room

execute if entity @a[x=51,y=10,z=-120,distance=..3.5] if block 51 10 -116 air run execute positioned 51 12 -116 run setblock 51 1 -120 minecraft:redstone_block
execute if entity @a[x=51,y=10,z=-120,distance=..3.5] if block 51 10 -116 air run execute positioned 51 12 -116 run scoreboard players set @e[distance=..3,tag=door,tag=animation,scores={timer=11..12}] timer 12 

##waves

execute if block 51 1 -120 minecraft:redstone_block run scoreboard players add wave-timer general 1

##dieing animation

execute if score wave general matches 0 if score wave-timer general matches 75 run title @a actionbar [{"text":"⚠","color":"gold"},{"text":"Low Oxygen","color":"yellow"},{"text":"⚠","color":"gold"}]
execute if score wave general matches 0 if score wave-timer general matches 80.. run title @a actionbar [{"text":"⚠","color":"dark_red"},{"text":"Low Oxygen","color":"red"},{"text":"⚠","color":"dark_red"}]
execute if score wave general matches 0 if score wave-timer general matches 80.. run playsound minecraft:block.note_block.bell master @a ~ ~ ~ 1 0.75 1
execute if score wave general matches 0 if score wave-timer general matches 80.. run scoreboard players set wave-timer general 70

##enemies spawns

execute if score wave-timer general matches 80 if score wave general matches 2 run function datapack:functions/levels/spawns/waves/1
execute if score wave-timer general matches 80 if score wave general matches 3 run function datapack:functions/levels/spawns/waves/2
execute if score wave-timer general matches 80 if score wave general matches 4 run function datapack:functions/levels/spawns/waves/3
execute if score wave-timer general matches 80 if score wave general matches 5 run function datapack:functions/levels/spawns/waves/4



execute if score wave-timer general matches 81.. if score wave general matches 2..4 unless entity @e[tag=enemy] run function datapack:functions/levels/spawns/waves/next

execute if score wave-timer general matches 81.. if score wave general matches 5 unless entity @e[tag=enemy] run title @a actionbar [{"text":"Threat Neutralized","color":"gold"}]
execute if score wave-timer general matches 81.. if score wave general matches 5 unless entity @e[tag=enemy] run playsound minecraft:block.note_block.bit master @a ~ ~ ~ 0.5 2 0.5
execute if score wave-timer general matches 81.. if score wave general matches 5 unless entity @e[tag=enemy] run function datapack:functions/levels/spawns/waves/next

execute if score wave-timer general matches 60.. if score wave general matches 6 unless entity @e[tag=enemy] run title @a actionbar [{"text":"Door Unlocked","color":"gold"}]
execute if score wave-timer general matches 60.. if score wave general matches 6 unless entity @e[tag=enemy] run playsound minecraft:block.note_block.bit master @a ~ ~ ~ 0.5 2 0.5
execute if score wave-timer general matches 60.. if score wave general matches 6 unless entity @e[tag=enemy] run execute positioned 51 10 -146 run tag @e[distance=..2,tag=door] add unlocked
execute if score wave-timer general matches 60.. if score wave general matches 6 unless entity @e[tag=enemy] run setblock 51 11 -146 acacia_fence
execute if score wave-timer general matches 60.. if score wave general matches 6 unless entity @e[tag=enemy] run setblock 52 11 -145 minecraft:dead_tube_coral_wall_fan[waterlogged=false,facing=west]
execute if score wave-timer general matches 60.. if score wave general matches 6 unless entity @e[tag=enemy] run function datapack:functions/levels/spawns/waves/next

##nextlevel

execute if entity @a[x=51,y=10,z=-150,distance=..3] run setblock 51 1 -120 air
execute if entity @a[x=51,y=10,z=-150,distance=..3] run clone 46 50 -160 74 59 -188 37 10 -145
execute if entity @a[x=51,y=10,z=-150,distance=..3] run setblock 52 11 -145 minecraft:dead_tube_coral_wall_fan[waterlogged=false,facing=west]
execute if entity @a[x=51,y=10,z=-150,distance=..3] run execute positioned 51.53 12.10 -145.63 run scoreboard players set @e[tag=door,tag=animation,distance=..3] timer 12
execute if entity @a[x=51,y=10,z=-150,distance=..3] run fill 52 21 -132 50 21 -130 minecraft:glass
execute if entity @a[x=51,y=10,z=-150,distance=..3] run tag @a remove lowgravity
execute if entity @a[x=51,y=10,z=-150,distance=..3] run tag @a remove limit-mode
execute if entity @a[x=51,y=10,z=-150,distance=..3] run scoreboard players set level general 6
